<?php
namespace Teknisa\CADCTB\Controllers;

use Zeedhi\Framework\DTO;
use Teknisa\Libs\Service\CRUD;
use Doctrine\ORM\EntityManager;
use Teknisa\CADCTB\Controllers\TeknisaCrud;
use Zeedhi\Framework\DataSource\ParameterBag;
use Teknisa\CADCTB\Services\CtbGrupoProdutoFilialService;

class CtbGrupoProdutoFilialController extends TeknisaCrud{
    
    protected $crudService;
    protected $parameterBag;
    protected $entityManager;
    
    public function __construct(CRUD $crudService, ParameterBag $parameterBag, EntityManager $entityManager, CtbGrupoProdutoFilialService $ctbGrupoProdutoFilialService) {
        $this->entityManager = $entityManager;
        $this->service = $ctbGrupoProdutoFilialService;
    }
    
    public function cadastroAutomaticoFilial(DTO\Request $request, DTO\Response $response){
        $this->entityManager->beginTransaction();
        try{
            $row = $request->getRow();
            
            $this->service->cadastroAutomaticoFilial($row);
            
            $this->entityManager->commit();
        }catch (\Exception $e) {
            $this->entityManager->rollback();
            $response->setError(new DTO\Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}