<?php
namespace Teknisa\CADCTB\Factories;

use Doctrine\ORM\EntityManager;

class CtbGrupoProdutoFilialFactory{
    
    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }
    
    public function buscaCctgrupprodfil($nrorg, $cdfilial) {
        
        $params = array();
        $params['P_NRORG']    = $nrorg;
        $params['P_CDFILIAL'] = $cdfilial;
        
        $sql = "SELECT
             CDFILIAL,
             CDPRODUTO,
             CDCTBLENTRPROGF,
             CDCTBLSAIDPROGF,
             CDCTBLCUSPRODGF,
             CDCTBLCPROVGF,
             CDCTBLCMVGF,
             CDCTBLAJUSPROGF,
             CDCTBLIMPLPROGF,
             NRORG,
             IDATIVO,
             DTINCLUSAO,
             DTULTATU,
             NRORGINCLUSAO,
             CDOPERINCLUSAO,
             NRORGULTATU,
             CDOPERULTATU
         FROM
             CCTGRUPPRODFIL
             WHERE
             CDFILIAL = :P_CDFILIAL
             AND NRORG = :P_NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function insereCctgrupprodfil ($nrorg, $row){
        $params = array(
            'CDFILIAL'        => $row['CDFILIAL'],
            'CDPRODUTO'       => $row['CDPRODUTO'],
            'CDCTBLENTRPROGF' => $row['CDCTBLENTRPROGF'],
            'CDCTBLSAIDPROGF' => $row['CDCTBLSAIDPROGF'],
            'CDCTBLCUSPRODGF' => $row['CDCTBLCUSPRODGF'],
            'CDCTBLCPROVGF'   => $row['CDCTBLCPROVGF'],
            'CDCTBLCMVGF'     => $row['CDCTBLCMVGF'],
            'CDCTBLAJUSPROGF' => $row['CDCTBLAJUSPROGF'],
            'CDCTBLIMPLPROGF' => $row['CDCTBLIMPLPROGF'],
            'NRORG'           => $row['NRORG']
        );
        
        $sql = "INSERT INTO CCTGRUPPRODFIL 
            (
                CDFILIAL,
                CDPRODUTO,
                CDCTBLENTRPROGF,
                CDCTBLSAIDPROGF,
                CDCTBLCUSPRODGF,
                CDCTBLCPROVGF,
                CDCTBLCMVGF,
                CDCTBLAJUSPROGF,
                CDCTBLIMPLPROGF,
                NRORG
            ) VALUES (
                :CDFILIAL,
                :CDPRODUTO,
                :CDCTBLENTRPROGF,
                :CDCTBLSAIDPROGF,
                :CDCTBLCUSPRODGF,
                :CDCTBLCPROVGF,
                :CDCTBLCMVGF,
                :CDCTBLAJUSPROGF,
                :CDCTBLIMPLPROGF,
                :NRORG
            )";
            
       
        $std = $this->connection->prepare($sql);
        $std->execute($params);

    }
    
    public function excluiCctgrupprodfil($nrorg, $cdfilial){
         $params = array(
            'CDFILIAL'        => $cdfilial,
            'NRORG'           => $nrorg
        );
        
        $sql = "DELETE FROM CCTGRUPPRODFIL
                WHERE NRORG = :NRORG 
                AND CDFILIAL = :CDFILIAL";
                
        $std = $this->connection->prepare($sql);
        $std->execute($params);
         
    }
    
    
}

