/*+
|                                               |
|     Trigger: DTULTATU_ENDEPROSPECT            |  
|     Tabela : ENDEPROSPECT                     |
|                                               |
|     Criao:                                  |
|     23/07/2007 - Danilo dos Anjos Faria       |
|                                               |
+*/


CREATE OR REPLACE TRIGGER DTULTATU_ENDEPROSPECT
BEFORE INSERT OR UPDATE OR DELETE
ON ENDEPROSPECT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUENPR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF ((NVL(:OLD.CDPROSPECT,   0) <> NVL(:NEW.CDPROSPECT,  0)) OR
           (NVL(:OLD.IDTPENDEPROS,0) <> NVL(:NEW.IDTPENDEPROS,0)) OR
           (NVL(:OLD.CDPAIS,      0) <> NVL(:NEW.CDPAIS,      0)) OR
           (NVL(:OLD.SGESTADO,    0) <> NVL(:NEW.SGESTADO,    0)) OR
           (NVL(:OLD.CDMUNICIPIO, 0) <> NVL(:NEW.CDMUNICIPIO, 0)) OR
           (NVL(:OLD.DSENDEPROS,  0) <> NVL(:NEW.DSENDEPROS,  0)) OR
           (NVL(:OLD.NMBAIRPROS,  0) <> NVL(:NEW.NMBAIRPROS,  0)) OR
           (NVL(:OLD.NRCEPPROS,   0) <> NVL(:NEW.NRCEPPROS,   0)) OR
           (NVL(:OLD.NRTELEPROS,  0) <> NVL(:NEW.NRTELEPROS,  0)) OR
           (NVL(:OLD.NRRAMALPROS, 0) <> NVL(:NEW.NRRAMALPROS, 0)) OR
           (NVL(:OLD.NRTELEXPROS, 0) <> NVL(:NEW.NRTELEXPROS, 0)) OR
           (NVL(:OLD.NRFAXPROS,   0) <> NVL(:NEW.NRFAXPROS,   0)) OR
           (NVL(:OLD.NMCONTPROS,  0) <> NVL(:NEW.NMCONTPROS,  0)) OR
           (NVL(:OLD.DSEMAILPROS, 0) <> NVL(:NEW.DSEMAILPROS, 0)) OR
           (NVL(:OLD.NRTELEPROS1, 0) <> NVL(:NEW.NRTELEPROS1, 0)) OR
           (NVL(:OLD.NRRAMALPROS1,0) <> NVL(:NEW.NRRAMALPROS1,0)) OR
           (NVL(:OLD.NRCELULARPRO,0) <> NVL(:NEW.NRCELULARPRO,0)) OR
           (NVL(:OLD.NRTELRESIPRO,0) <> NVL(:NEW.NRTELRESIPRO,0)) OR
           (NVL(:OLD.DSCOMPENDPRO,0) <> NVL(:NEW.DSCOMPENDPRO,0))) THEN
           :NEW.DTULTATUENPR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
      VALUES ('ENDEPROSPECT'  , '', 'CDPROSPECT='||:OLD.CDPROSPECT||'IDTPENDEPROS='||:OLD.IDTPENDEPROS||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ENDEPROSPECT MODIFY DTULTATUENPR DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ENDEPROSPECT','4.11.160'); END;
/

